[DEFAULT]
debug = True

auth_encryption_key = 94qARNlEzJsdL5rm7D1fZHQC8vky3Ta0
convergence_engine = True
heat_metadata_server_url = http://10.42.42.20:8004
heat_waitcondition_server_url = http://10.42.42.20:8000/v1/waitcondition
heat_watch_server_url = http://10.42.42.20:8003
log_dir = /var/log/heat
num_engine_workers = 2
stack_domain_admin = heat_stack_admin
stack_domain_admin_password = HEAT_PASSWORD
stack_user_domain_name = heat
transport_url = rabbit://openstack:RABBIT_PASSWORD@10.42.42.20/

[database]
connection = mysql+pymysql://heat:HEAT_MYSQL_PASSWORD@10.42.42.20/heat

[ec2authtoken]
auth_uri = http://10.42.42.20:5000/v2.0

[keystone_authtoken]
auth_type = password
auth_uri = http://10.42.42.20:5000
auth_url = http://10.42.42.20:35357
project_domain_id = default
project_name = service
user_domain_id = default

username = heat
password = HEAT_PASSWORD

memcached_servers = 10.42.42.20:11211

[clients_keystone]
auth_uri = http://10.42.42.20:35357

[trustee]
auth_type = password
auth_url = http://10.42.42.20:35357
user_domain_name = default
username = heat
password = HEAT_PASSWORD

[heat_api]
bind_port = 8004
workers = 2

[heat_api_cfn]
bind_port = 8000
workers = 2

[heat_api_cloudwatch]
bind_port = 8003
workers = 2

[oslo_messaging_notifications]
driver = messagingv2
